#include "IoState.h"
#include "IoObject.h"

IoObject *IoDBI_proto(void *state);
IoObject *IoDBIConn_proto(void *state);
IoObject *IoDBIResult_proto(void *state);

void IoDBIInit(IoObject *context)
{
	IoState *self = IoObject_state((IoObject *)context);

	IoObject_setSlot_to_(context, SIOSYMBOL("DBI"), IoDBI_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("DBIConn"), IoDBIConn_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("DBIResult"), IoDBIResult_proto(self));

}
